Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ReleaseInfo

    java.lang.Object
      org.codehaus.groovy.util.ReleaseInfo

    public class ReleaseInfo
    extends java.lang.Object

Exposes the Groovy release information

Authors:
  Roshan Dawrani

Method Summary
`static java.util.Properties` | `getAllProperties()`
`static java.lang.String` | `getVersion()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAllProperties

    public static java.util.Properties getAllProperties()

### getVersion

    public static java.lang.String getVersion()

Groovy Documentation